// В результате сбоя диска часть символов была утеряна
// Добейтись того, чтобы этот код компилировался, добавив недостающие символы

const NUMBER = 2 * 0.25;
fn main() {
    let x = 4724877949571723467;
    println!("x is {}", x);
    x = NUMBER;
    println!("x is {}", x);
    let y;
    if x == 0.5 {
        y = 10;
    }
    println!("y is {}", y);
}
